Print

Print


Commit in slic on MAIN
GNUmakefile+6-281.29 -> 1.30
GNUmakefile.local.in+3-221.8 -> 1.9
aclocal.m4+102-1181.18 -> 1.19
configure+94-1291.34 -> 1.35
config/make/gdml.gmk+33-151.11 -> 1.12
           /geant4.gmk+18-101.2 -> 1.3
           /hadronic_lists.gmk+5-11.7 -> 1.8
           /lcdd.gmk+17-71.3 -> 1.4
           /lcio.gmk+19-81.1 -> 1.2
           /lcphys.gmk+18-51.1 -> 1.2
           /xerces.gmk+19-141.8 -> 1.9
+334-357
11 modified files
various cleanups to slic build system

slic
GNUmakefile 1.29 -> 1.30
diff -u -r1.29 -r1.30
--- GNUmakefile	5 Dec 2005 21:12:18 -0000	1.29
+++ GNUmakefile	6 Dec 2005 00:54:17 -0000	1.30
@@ -1,4 +1,4 @@
-# $Header: /cvs/lcd/slic/GNUmakefile,v 1.29 2005/12/05 21:12:18 jeremy Exp $
+# $Header: /cvs/lcd/slic/GNUmakefile,v 1.30 2005/12/06 00:54:17 jeremy Exp $
 #
 # Makefile for SLIC simulation package based on examples GNUmakefile by G. Cosmo.
 #
@@ -31,41 +31,19 @@
 include $(G4INSTALL)/config/architecture.gmk
 
 # LCDD
-ifdef LCDD_BASE
-  include $(MAKEINCLUDES)/lcdd.gmk
-else
-  $(error define LCDD_BASE=/path/to/LCDD)
-endif
+include $(MAKEINCLUDES)/lcdd.gmk
 
 # GDML
-ifdef GDML_BASE
-  include $(MAKEINCLUDES)/gdml.gmk
-else
-  $(error define GDML_BASE=/path/to/GDML)
-endif
+include $(MAKEINCLUDES)/gdml.gmk
 
 # Xerces
-ifdef XERCESCROOT
-  include $(MAKEINCLUDES)/xerces.gmk
-else
-  $(error define XERCESCROOT=/path/to/xerces/
-endif
+include $(MAKEINCLUDES)/xerces.gmk
 
 # LCIO
-ifdef LCIO
-  include $(MAKEINCLUDES)/lcio.gmk
-else
-  $(error define LCIO=/path/to/LCIO)
-endif
+include $(MAKEINCLUDES)/lcio.gmk
 
 # LCPhys
-ifdef SLIC_USE_LCPHYS
-  ifdef LCPHYS_BASE
-    include $(MAKEINCLUDES)/lcphys.gmk
-  else
-    $(error define LCPHYS_BASE=/path/to/LCPhys)
-  endif
-endif
+include $(MAKEINCLUDES)/lcphys.gmk
 
 # G4 hadronic lists
 include $(MAKEINCLUDES)/hadronic_lists.gmk

slic
GNUmakefile.local.in 1.8 -> 1.9
diff -u -r1.8 -r1.9
--- GNUmakefile.local.in	5 Dec 2005 21:12:18 -0000	1.8
+++ GNUmakefile.local.in	6 Dec 2005 00:54:17 -0000	1.9
@@ -1,4 +1,4 @@
-# $Header: /cvs/lcd/slic/GNUmakefile.local.in,v 1.8 2005/12/05 21:12:18 jeremy Exp $
+# $Header: /cvs/lcd/slic/GNUmakefile.local.in,v 1.9 2005/12/06 00:54:17 jeremy Exp $
 #
 # Local build settings generated by configure
 #
@@ -12,19 +12,11 @@
 SLIC_CXXFLAGS       = @CXXFLAGS@
 SLIC_DEFS           = @DEFS@
 
-enable_lcphys = @enable_lcphys@
-ifeq ($(enable_lcphys),yes)
-  SLIC_USE_LCPHYS = 1
-endif
-
 # SLIC base dir
 SLIC_BASE      = @SLIC_PREFIX@
 
-# SLIC_VERBOSE
-enable_slic_verbose = @enable_slic_verbose@
-ifeq ($(enable_slic_verbose),yes)
-  SLIC_VERBOSE=1
-endif
+# LCPhys was enabled?
+enable_lcphys = @enable_lcphys@
 
 # LCIO base dir var
 LCIO           = @LCIO_PREFIX@
@@ -34,17 +26,6 @@
 G4SYSTEM       = @G4SYSTEM@
 G4WORKDIR      = @G4WORKDIR@
 
-# G4 flags could be defined here...
-
-# G4DEBUG
-@G4DEBUG_SET@
-
-# G4PROFILE
-@G4PROFILE_SET@
-
-# G4VERBOSE
-@G4VERBOSE_SET@
-
 # CLHEP base dir
 CLHEP_BASE_DIR = @CLHEP_PREFIX@
 

slic
aclocal.m4 1.18 -> 1.19
diff -u -r1.18 -r1.19
--- aclocal.m4	5 Dec 2005 21:12:18 -0000	1.18
+++ aclocal.m4	6 Dec 2005 00:54:17 -0000	1.19
@@ -1,96 +1,81 @@
-# $Header: /cvs/lcd/slic/aclocal.m4,v 1.18 2005/12/05 21:12:18 jeremy Exp $
-#
-# local m4 macros for SLIC autoconf
-#
+dnl $Header: /cvs/lcd/slic/aclocal.m4,v 1.19 2005/12/06 00:54:17 jeremy Exp $
 
-# /\/\/\ SLIC /\/\/\
-AC_DEFUN(SIM_SETUP_SLIC, [
-
-AC_MSG_CHECKING(for valid SLIC installation at current directory)
-
-SLIC_PREFIX=`pwd`
+dnl
+dnl m4 configuration macros for SLIC and friends 
+dnl
 
-SLIC_TEST_FILE=${SLIC_PREFIX}/slic.cc
-
-if ! test -e ${SLIC_TEST_FILE}; then
-  AC_MSG_ERROR(Not a valid SLIC installation at $SLIC_PREFIX)
-else
-  AC_MSG_RESULT(yes)
-fi
+dnl /\/\/\ SLIC /\/\/\
+AC_DEFUN(SIM_SETUP_SLIC, [
 
+dnl make sure configure is running in SLIC_BASE
+SLIC_PREFIX=$(pwd)
+AC_CHECK_FILE([${SLIC_PREFIX}/slic.cc], 
+              ,
+              AC_MSG_ERROR(Please run configure from the SLIC checkout dir.))
 AC_SUBST(SLIC_PREFIX)
 
-# set as default install dir
+dnl set as default install dir
 AC_PREFIX_DEFAULT($SLIC_BASE)
 
-# enable debugging
+dnl enable debugging
 AC_MSG_CHECKING(whether SLIC code debugging should be enabled)
 
-AC_ARG_ENABLE(slic-debug,
-	AC_HELP_STRING([--enable-slic-debug], [Enable debugging in code by setting SLIC_DEBUG, G4DEBUG and G4PROFILE]),
-	[SLIC_DEBUG_ENABLE="$enable_slic_debug"] )
+AC_ARG_ENABLE(debug,
+	      AC_HELP_STRING([--enable-debug], [Enable debugging in code by setting SLIC_DEBUG, G4DEBUG and G4PROFILE]),
+              ,)
 
-# default to non-debug mode
-if test -n "${SLIC_DEBUG_ENABLE}" && test "${SLIC_DEBUG_ENABLE}" != "no"; then
+dnl default to no debug 
+if test -n "${enable_debug}" && test "${enable_debug}" = "yes"; then
     AC_MSG_RESULT(yes)
 
-    # GNUmakefile vars
-    G4DEBUG_SET="G4DEBUG_SET=1"
-    AC_SUBST(G4DEBUG_SET)
-
-    G4PROFILE_SET="G4PROFILE_SET=1"
-    AC_SUBST(G4PROFILE_SET)
-
-    # compiler defines
+    dnl compiler defines
     AC_DEFINE(SLIC_DEBUG)
     AC_DEFINE(G4DEBUG)
     AC_DEFINE(G4PROFILE)
 
-    # make sure to compile with debugging switches
+    dnl debugging symbols
     CXXFLAGS="${CXXFLAGS} -g -ggdb -pg"
 else
   AC_MSG_RESULT(no)
 fi
 
-# enable SLIC verbose system
+dnl enable SLIC verbose system
 AC_MSG_CHECKING(whether SLIC verbose system should be enabled)
 
-AC_ARG_ENABLE(slic-verbose,
-	AC_HELP_STRING([--enable-slic-verbose],[Enable usage of verbose output using SLIC_VERBOSE]),
-	[SLIC_VERBOSE_ENABLE="${enable_slic_verbose}"] )
+AC_ARG_ENABLE(verbose,
+	AC_HELP_STRING([--enable-verbose], 
+                       [enable usage of verbose output using SLIC_VERBOSE])
+        ,
+        ,)
 
-# yes or null (not specified) then set verbose system to on
-if test "${SLIC_VERBOSE_ENABLE}" = "yes" || test -z "${SLIC_VERBOSE_ENABLE}"; then
-  AC_MSG_RESULT(yes)
+dnl turn verbosity on if enabled or no arg
+if test "${enable_verbose}" = "yes" || test -z "${enable_verbose}"; then
 
-  # compiler defines
+  dnl compiler defines
   AC_DEFINE(G4VERBOSE)
   AC_DEFINE(SLIC_VERBOSE)
 
-  # GNUmakefile vars
-  G4VERBOSE_SET="G4VERBOSE=1"
-  AC_SUBST(G4VERBOSE_SET)
-  AC_SUBST(enable_slic_verbose)
+  AC_MSG_RESULT(yes)
 else
-  AC_MSG_RESULT(No)
+  AC_MSG_RESULT(no)
 fi
 
 ])
 
+dnl enable verbose compiler output
 AC_DEFUN([SIM_SETUP_VERBOSE_COMPILE], [
-# enable verbose compiler output
-AC_MSG_CHECKING(whether verbose compiler output should be enabled)
+         AC_MSG_CHECKING(whether verbose compiler output should be enabled)
 
 AC_ARG_ENABLE(compile-verbose,
 	AC_HELP_STRING([--enable-compile-verbose], [Use verbose compiler settings]),
 	[SLIC_COMPILE_VERBOSE_ENABLE="${enable_compile_verbose}"] )
 
-# specified and not = no
+dnl specified and not = no
 if test -n "${SLIC_COMPILE_VERBOSE_ENABLE}" && test "${SLIC_COMPILE_VERBOSE_ENABLE}" != "no"; then
 
     AC_MSG_RESULT(yes)
 
-    # verbose compiler commands into cpp flags
+    dnl verbose compiler output
     CXXFLAGS="${CXXFLAGS} -Wall -v -Wl,--verbose"
 
 else
@@ -99,7 +84,7 @@
 
 ])
 
-# /\/\/\ LCIO /\/\/\
+dnl /\/\/\ LCIO /\/\/\
 AC_DEFUN(SIM_SETUP_LCIO, [
 
 AC_MSG_CHECKING(for LCIO installation)
@@ -110,30 +95,30 @@
 
 if test -z "${with_lcio}"; then
   if test -n "$LCIO"; then
-    LCIO_PREFIX=${LCIO} # env
+    LCIO_PREFIX=${LCIO} 
   else
-    AC_MSG_RESULT(No)
-    AC_MSG_ERROR(LCIO installation was not found) # not found
+    AC_MSG_RESULT(no)
+    AC_MSG_ERROR(LCIO installation was not found) 
   fi
 fi
 
-# test to see if it looks valid
+dnl test to see if it looks valid
 LCIO_TEST_FILE=${LCIO_PREFIX}/src/aid/EVENT/LCEvent.aid
 
 if test -e ${LCIO_TEST_FILE}; then
   AC_MSG_RESULT(yes)
   echo "found valid LCIO installation at ${LCIO_PREFIX}."
 else
-  AC_MSG_RESULT(No)
+  AC_MSG_RESULT(no)
   AC_MSG_ERROR(invalid LCIO installation at ${LCIO_PREFIX})
 fi
 
-# define LCIO_PREFIX in output
+dnl define LCIO_PREFIX in output
 AC_SUBST(LCIO_PREFIX)
 
 ])
 
-# /\/\/\ Geant4 /\/\/\
+dnl /\/\/\ Geant4 /\/\/\
 AC_DEFUN(SIM_SETUP_G4, [
 
 AC_MSG_CHECKING(for Geant4 installation)
@@ -144,10 +129,12 @@
 
 if test -z "${with_geant4}"; then
   if test -n "$G4INSTALL"; then
-    G4_PREFIX=${G4INSTALL} # env
+    dnl set prefix
+    G4_PREFIX=${G4INSTALL}
   else
-    AC_MSG_RESULT(No)
-    AC_MSG_ERROR(Geant4 installation not found) # not found
+    dnl not found
+    AC_MSG_RESULT(no)
+    AC_MSG_ERROR(Geant4 installation not found) 
   fi
 fi
 
@@ -162,63 +149,51 @@
 
 AC_SUBST(G4_PREFIX)
 
-# set work dir
+dnl set work dir
 
 G4WORKDIR=${SLIC_BASE}
 
 AC_SUBST(G4WORKDIR)
 
-# try to derive G4SYSTEM if not set
+dnl try to derive G4SYSTEM if not set
 
 AC_MSG_CHECKING([whether G4SYSTEM is set in your environment])
 
 if test -z "${G4SYSTEM}"; then
+  dnl G4SYSTEM is not set
+  
+  AC_MSG_RESULT(no)
 
-  AC_MSG_RESULT(No)
-
-  if $host_os == "WIN32"
-  then
-    g4system_os=WIN32
-  else
-    g4system_os=`uname`
-  fi
-
-  g4system_compiler=${CXX}
-
-  g4system=`echo "${g4system_os}"-"${g4system_compiler}"`
-
-  echo "guessing G4SYSTEM=${g4system}."
-
-  G4SYSTEM_TEST_FILE=${G4INSTALL}/.config/${g4system}/bin/env.sh
-
-  if ! test -e "${G4SYSTEM_TEST_FILE}"; then
-    AC_MSG_ERROR([G4SYSTEM=${g4system} does not appear to be setup on your system.])
-  fi
+  dnl make a reasonable guess at G4SYSTEM 
+  AC_MSG_CHECKING([for G4SYSTEM guess])
+  G4SYSTEM=${host_os}"-"${CXX}
+  AC_MSG_RESULT([$G4SYSTEM])
 else
   AC_MSG_RESULT(yes)
 fi
 
 AC_SUBST(G4SYSTEM)
 
-# libs/includes will be magically setup by Geant4 binmake.
+dnl libs and includes will be setup by Geant4 binmake.
 ])
 
-# /\/\/\ CLHEP /\/\/\
+dnl /\/\/\ CLHEP /\/\/\
 
 AC_DEFUN(SIM_SETUP_CLHEP, [
 
 AC_MSG_CHECKING(for CLHEP installation)
 
 AC_ARG_WITH(clhep,
-	AC_HELP_STRING([--with-clhep=<path>], [CLHEP installation base [[CLHEP_BASE_DIR]] ]),
+	AC_HELP_STRING([--with-clhep=<path>], 
+                       [CLHEP installation base [[CLHEP_BASE_DIR]] ]),
 	[CLHEP_PREFIX=$with_clhep])
 
 if test -z "${with_clhep}"; then
   if test -n "$CLHEP_BASE_DIR"; then
-    CLHEP_PREFIX=${CLHEP_BASE_DIR} # env
+    CLHEP_PREFIX=${CLHEP_BASE_DIR} 
   else
-    AC_MSG_RESULT(No)
-    AC_MSG_ERROR(CLHEP installation was not found) # not found
+    AC_MSG_RESULT(no)
+    AC_MSG_ERROR(CLHEP installation was not found) 
   fi
 fi
 
@@ -233,11 +208,11 @@
 
 AC_SUBST(CLHEP_PREFIX)
 
-# libs/includes will be setup by Geant4 binmake.
+dnl libs/includes will be setup by Geant4 binmake.
 
 ])
 
-# /\/\/\ LCDD /\/\/\
+dnl /\/\/\ LCDD /\/\/\
 AC_DEFUN(SIM_SETUP_LCDD, [
 
 AC_MSG_CHECKING(for LCDD installation)
@@ -247,11 +222,11 @@
 	[LCDD_PREFIX=$with_lcdd])
 
 if test -z "${with_lcdd}"; then
-  if test -n "$LCDD_BASE"; then # env
+  if test -n "$LCDD_BASE"; then dnl env
     LCDD_PREFIX=${LCDD_BASE}
   else
-    AC_MSG_RESULT(No)
-    AC_MSG_ERROR(LCDD installation was not found) # not found
+    AC_MSG_RESULT(no)
+    AC_MSG_ERROR(LCDD installation was not found) dnl not found
   fi
 fi
 
@@ -274,7 +249,7 @@
 
 AC_ARG_ENABLE([version-file],
 	AC_HELP_STRING([--enable-version-file=<yes|no>], [Rewrite the VERSION file.] ),
-	[rewrite_ver=$enable_version_file],
+	[rewrite_ver=$enable_version],
 	[rewrite_ver=no])
 
 AC_MSG_RESULT($rewrite_ver)
@@ -288,7 +263,7 @@
 
 ])
 
-# /\/\/\ Xerces /\/\/\
+dnl /\/\/\ Xerces /\/\/\
 AC_DEFUN(SIM_SETUP_XERCES, [
 
 AC_MSG_CHECKING(for Xerces installation)
@@ -299,14 +274,14 @@
 
 if test -z "${with_xerces}"; then
   if test -n "$XERCESCROOT"; then
-    XERCES_PREFIX=${XERCESCROOT} # env
+    XERCES_PREFIX=${XERCESCROOT} 
   else
-    AC_MSG_RESULT(No)
-    AC_MSG_ERROR(Xerces installation was not found) # not found
+    AC_MSG_RESULT(no)
+    AC_MSG_ERROR(Xerces installation was not found) 
   fi
 fi
 
-# /\/\/\ Xerces libname /\/\/\
+dnl /\/\/\ Xerces libname /\/\/\
 AC_DEFUN(SIM_WITH_XERCES_LIBNAME, [
 
 AC_MSG_CHECKING(for Xerces libname)
@@ -335,7 +310,7 @@
 
 ])
 
-# /\/\/\ LCPhys /\/\/\
+dnl LCPhys 
 AC_DEFUN(SIM_SETUP_LCPHYS, [
 
 AC_MSG_CHECKING(for LCPhys installation)
@@ -344,26 +319,36 @@
 	AC_HELP_STRING([--with-lcphys=<path>],[ LCPhys installation base [[LCPHYS_BASE]] ]),
 	[LCPHYS_PREFIX=$with_lcphys])
 
+dnl first check if LCPhys is enabled
 if test "$enable_lcphys" = "yes"
 then
 
+  dnl got no CL arg from with-lcphys
   if test -z "${with_lcphys}"; then
     if test -n "$LCPHYS_BASE"; then
-      LCPHYS_PREFIX=${LCPHYS_BASE} # env
+      LCPHYS_PREFIX=${LCPHYS_BASE} 
     else
+      dnl turn off LCPhys because it wasn't found in LCPHYS_BASE or specified with arg
+      enable_lcphys="no"
       AC_MSG_RESULT(no)
+      AC_MSG_WARN([[Failed to find LCPhys.  Specify using --with-lcphys or LCPHYS_BASE var.]])
     fi
   fi
 
-  LCPHYS_TEST_FILE=${LCPHYS_PREFIX}/include/LCPhysicsList.hh
-
-  if test -e "${LCPHYS_TEST_FILE}"; then
-    AC_MSG_RESULT(${LCPHYS_PREFIX})
-  else
-    AC_MSG_RESULT(no)
-    AC_MSG_ERROR(invalid LCPhys installation at ${LCPHYS_PREFIX})
+  dnl still enabled?
+  if test "$enable_lcphys" = "yes"
+  then 
+    LCPHYS_TEST_FILE=${LCPHYS_PREFIX}/include/LCPhysicsList.hh
+    if test -e "${LCPHYS_TEST_FILE}"; then
+      AC_MSG_RESULT(${LCPHYS_PREFIX})
+    else
+      dnl cause an error because LCPhys doesn't look right
+      AC_MSG_RESULT(no)
+      AC_MSG_ERROR(invalid LCPhys installation at ${LCPHYS_PREFIX})
+    fi
   fi
 
+  dnl set LCPHYS dir
   AC_SUBST(LCPHYS_PREFIX)
 else
   AC_MSG_RESULT(disabled)
@@ -373,7 +358,7 @@
 
 ])
 
-# macro to check whether LCPhys library should be enabled
+dnl macro to check whether LCPhys library should be enabled
 AC_DEFUN(SIM_ENABLE_LCPHYS, [
 
 AC_MSG_CHECKING(whether to enable LCPhys)
@@ -397,23 +382,23 @@
 
 ])
 
-# /\/\/\ GDML /\/\/\
+dnl /\/\/\ GDML /\/\/\
 
 AC_DEFUN(SIM_SETUP_GDML, [
 
 AC_MSG_CHECKING(for GDML installation)
 
-# base dir
+dnl base dir
 AC_ARG_WITH(gdml,
 	AC_HELP_STRING([--with-gdml=<path>], [ GDML installation base [[GDML_BASE]] ]),
 	[GDML_PREFIX=$with_gdml])
 
 if test -z "${with_gdml}"; then
   if test -n "$GDML_BASE"; then
-    GDML_PREFIX=${GDML_BASE} # env
+    GDML_PREFIX=${GDML_BASE} 
   else
-    AC_MSG_RESULT(No)
-    AC_MSG_ERROR(GDML installation was not found) # not found
+    AC_MSG_RESULT(no)
+    AC_MSG_ERROR(GDML installation was not found) 
   fi
 fi
 
@@ -442,12 +427,12 @@
 
 ])
 
-# function to check the OS
+dnl function to check the OS
 AC_DEFUN(CHECK_OS, [
 
 AC_MSG_CHECKING(for supported OS)
 
-# to lowercase
+dnl to lowercase
 host_os=`uname -s | tr [A-Z] [a-z]`
 
 supported_os=yes
@@ -498,4 +483,3 @@
 AC_SUBST(PACKAGE_BUGREPORT)
 
 ])
-

slic
configure 1.34 -> 1.35
diff -u -r1.34 -r1.35
--- configure	5 Dec 2005 21:12:18 -0000	1.34
+++ configure	6 Dec 2005 00:54:17 -0000	1.35
@@ -274,7 +274,7 @@
 
 ac_unique_file="slic.cc"
 ac_default_prefix=$SLIC_BASE
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC SET_MAKE G4_PREFIX G4WORKDIR G4SYSTEM CLHEP_PREFIX XERCES_PREFIX XERCES_LIBNAME GDML_PREFIX LCDD_PREFIX LCIO_PREFIX LCPHYS_PREFIX enable_lcphys SLIC_PREFIX G4DEBUG_SET G4PROFILE_SET G4VERBOSE_SET enable_slic_verbose DOXYGEN PACKAGE_AUTHORS PACKAGE_FULLNAME PACKAGE_INSTITUTION PACKAGE_DATE PACKAGE_WWW LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC SET_MAKE G4_PREFIX G4WORKDIR G4SYSTEM CLHEP_PREFIX XERCES_PREFIX XERCES_LIBNAME GDML_PREFIX LCDD_PREFIX LCIO_PREFIX LCPHYS_PREFIX enable_lcphys SLIC_PREFIX DOXYGEN PACKAGE_AUTHORS PACKAGE_FULLNAME PACKAGE_INSTITUTION PACKAGE_DATE PACKAGE_WWW LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -814,9 +814,10 @@
   --enable-package-info   Rewrite include/PackageInfo.hh
   --enable-lcphys=<yes|no>
                           enable LCPhys library
-  --enable-slic-debug     Enable debugging in code by setting SLIC_DEBUG,
+  --enable-debug          Enable debugging in code by setting SLIC_DEBUG,
                           G4DEBUG and G4PROFILE
-  --enable-slic-verbose   Enable usage of verbose output using SLIC_VERBOSE
+  --enable-verbose        enable usage of verbose output using SLIC_VERBOSE
+
   --enable-compile-verbose
                           Use verbose compiler settings
   --enable-version-file=<yes|no>
@@ -2497,7 +2498,6 @@
 echo "$as_me:$LINENO: checking for supported OS" >&5
 echo $ECHO_N "checking for supported OS... $ECHO_C" >&6
 
-# to lowercase
 host_os=`uname -s | tr A-Z a-z`
 
 supported_os=yes
@@ -2559,13 +2559,13 @@
 
 if test -z "${with_geant4}"; then
   if test -n "$G4INSTALL"; then
-    G4_PREFIX=${G4INSTALL} # env
+        G4_PREFIX=${G4INSTALL}
   else
-    echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
+        echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
     { { echo "$as_me:$LINENO: error: Geant4 installation not found" >&5
 echo "$as_me: error: Geant4 installation not found" >&2;}
-   { (exit 1); exit 1; }; } # not found
+   { (exit 1); exit 1; }; }
   fi
 fi
 
@@ -2583,42 +2583,25 @@
 
 
 
-# set work dir
 
 G4WORKDIR=${SLIC_BASE}
 
 
 
-# try to derive G4SYSTEM if not set
 
 echo "$as_me:$LINENO: checking whether G4SYSTEM is set in your environment" >&5
 echo $ECHO_N "checking whether G4SYSTEM is set in your environment... $ECHO_C" >&6
 
 if test -z "${G4SYSTEM}"; then
 
-  echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
-
-  if $host_os == "WIN32"
-  then
-    g4system_os=WIN32
-  else
-    g4system_os=`uname`
-  fi
-
-  g4system_compiler=${CXX}
-
-  g4system=`echo "${g4system_os}"-"${g4system_compiler}"`
-
-  echo "guessing G4SYSTEM=${g4system}."
-
-  G4SYSTEM_TEST_FILE=${G4INSTALL}/.config/${g4system}/bin/env.sh
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
 
-  if ! test -e "${G4SYSTEM_TEST_FILE}"; then
-    { { echo "$as_me:$LINENO: error: G4SYSTEM=${g4system} does not appear to be setup on your system." >&5
-echo "$as_me: error: G4SYSTEM=${g4system} does not appear to be setup on your system." >&2;}
-   { (exit 1); exit 1; }; }
-  fi
+    echo "$as_me:$LINENO: checking for G4SYSTEM guess" >&5
+echo $ECHO_N "checking for G4SYSTEM guess... $ECHO_C" >&6
+  G4SYSTEM=${host_os}"-"${CXX}
+  echo "$as_me:$LINENO: result: $G4SYSTEM" >&5
+echo "${ECHO_T}$G4SYSTEM" >&6
 else
   echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
@@ -2626,7 +2609,6 @@
 
 
 
-# libs/includes will be magically setup by Geant4 binmake.
 
 
 # CLHEP
@@ -2644,13 +2626,13 @@
 
 if test -z "${with_clhep}"; then
   if test -n "$CLHEP_BASE_DIR"; then
-    CLHEP_PREFIX=${CLHEP_BASE_DIR} # env
+    CLHEP_PREFIX=${CLHEP_BASE_DIR}
   else
-    echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
+    echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
     { { echo "$as_me:$LINENO: error: CLHEP installation was not found" >&5
 echo "$as_me: error: CLHEP installation was not found" >&2;}
-   { (exit 1); exit 1; }; } # not found
+   { (exit 1); exit 1; }; }
   fi
 fi
 
@@ -2668,7 +2650,6 @@
 
 
 
-# libs/includes will be setup by Geant4 binmake.
 
 
 
@@ -2687,17 +2668,16 @@
 
 if test -z "${with_xerces}"; then
   if test -n "$XERCESCROOT"; then
-    XERCES_PREFIX=${XERCESCROOT} # env
+    XERCES_PREFIX=${XERCESCROOT}
   else
-    echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
+    echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
     { { echo "$as_me:$LINENO: error: Xerces installation was not found" >&5
 echo "$as_me: error: Xerces installation was not found" >&2;}
-   { (exit 1); exit 1; }; } # not found
+   { (exit 1); exit 1; }; }
   fi
 fi
 
-# /\/\/\ Xerces libname /\/\/\
 
 
 XERCES_TEST_FILE=${XERCES_PREFIX}/include/xercesc/dom/DOM.hpp
@@ -2742,7 +2722,6 @@
 echo "$as_me:$LINENO: checking for GDML installation" >&5
 echo $ECHO_N "checking for GDML installation... $ECHO_C" >&6
 
-# base dir
 
 # Check whether --with-gdml or --without-gdml was given.
 if test "${with_gdml+set}" = set; then
@@ -2752,13 +2731,13 @@
 
 if test -z "${with_gdml}"; then
   if test -n "$GDML_BASE"; then
-    GDML_PREFIX=${GDML_BASE} # env
+    GDML_PREFIX=${GDML_BASE}
   else
-    echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
+    echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
     { { echo "$as_me:$LINENO: error: GDML installation was not found" >&5
 echo "$as_me: error: GDML installation was not found" >&2;}
-   { (exit 1); exit 1; }; } # not found
+   { (exit 1); exit 1; }; }
   fi
 fi
 
@@ -2792,15 +2771,13 @@
 fi;
 
 if test -z "${with_lcdd}"; then
-  if test -n "$LCDD_BASE"; then # env
-    LCDD_PREFIX=${LCDD_BASE}
+  if test -n "$LCDD_BASE"; then     LCDD_PREFIX=${LCDD_BASE}
   else
-    echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
+    echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
     { { echo "$as_me:$LINENO: error: LCDD installation was not found" >&5
 echo "$as_me: error: LCDD installation was not found" >&2;}
-   { (exit 1); exit 1; }; } # not found
-  fi
+   { (exit 1); exit 1; }; }   fi
 fi
 
 LCDD_TEST_FILE=${LCDD_PREFIX}/src/LCDDDetectorConstruction.cc
@@ -2834,17 +2811,16 @@
 
 if test -z "${with_lcio}"; then
   if test -n "$LCIO"; then
-    LCIO_PREFIX=${LCIO} # env
+    LCIO_PREFIX=${LCIO}
   else
-    echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
+    echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
     { { echo "$as_me:$LINENO: error: LCIO installation was not found" >&5
 echo "$as_me: error: LCIO installation was not found" >&2;}
-   { (exit 1); exit 1; }; } # not found
+   { (exit 1); exit 1; }; }
   fi
 fi
 
-# test to see if it looks valid
 LCIO_TEST_FILE=${LCIO_PREFIX}/src/aid/EVENT/LCEvent.aid
 
 if test -e ${LCIO_TEST_FILE}; then
@@ -2852,14 +2828,13 @@
 echo "${ECHO_T}yes" >&6
   echo "found valid LCIO installation at ${LCIO_PREFIX}."
 else
-  echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
   { { echo "$as_me:$LINENO: error: invalid LCIO installation at ${LCIO_PREFIX}" >&5
 echo "$as_me: error: invalid LCIO installation at ${LCIO_PREFIX}" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
-# define LCIO_PREFIX in output
 
 
 
@@ -2916,26 +2891,31 @@
 if test "$enable_lcphys" = "yes"
 then
 
-  if test -z "${with_lcphys}"; then
+    if test -z "${with_lcphys}"; then
     if test -n "$LCPHYS_BASE"; then
-      LCPHYS_PREFIX=${LCPHYS_BASE} # env
+      LCPHYS_PREFIX=${LCPHYS_BASE}
     else
+            enable_lcphys="no"
       echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
+      { echo "$as_me:$LINENO: WARNING: Failed to find LCPhys.  Specify using --with-lcphys or LCPHYS_BASE var." >&5
+echo "$as_me: WARNING: Failed to find LCPhys.  Specify using --with-lcphys or LCPHYS_BASE var." >&2;}
     fi
   fi
 
-  LCPHYS_TEST_FILE=${LCPHYS_PREFIX}/include/LCPhysicsList.hh
-
-  if test -e "${LCPHYS_TEST_FILE}"; then
-    echo "$as_me:$LINENO: result: ${LCPHYS_PREFIX}" >&5
+    if test "$enable_lcphys" = "yes"
+  then
+    LCPHYS_TEST_FILE=${LCPHYS_PREFIX}/include/LCPhysicsList.hh
+    if test -e "${LCPHYS_TEST_FILE}"; then
+      echo "$as_me:$LINENO: result: ${LCPHYS_PREFIX}" >&5
 echo "${ECHO_T}${LCPHYS_PREFIX}" >&6
-  else
-    echo "$as_me:$LINENO: result: no" >&5
+    else
+            echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
-    { { echo "$as_me:$LINENO: error: invalid LCPhys installation at ${LCPHYS_PREFIX}" >&5
+      { { echo "$as_me:$LINENO: error: invalid LCPhys installation at ${LCPHYS_PREFIX}" >&5
 echo "$as_me: error: invalid LCPhys installation at ${LCPHYS_PREFIX}" >&2;}
    { (exit 1); exit 1; }; }
+    fi
   fi
 
 
@@ -2951,51 +2931,51 @@
 # SLIC
 
 
-echo "$as_me:$LINENO: checking for valid SLIC installation at current directory" >&5
-echo $ECHO_N "checking for valid SLIC installation at current directory... $ECHO_C" >&6
-
-SLIC_PREFIX=`pwd`
-
-SLIC_TEST_FILE=${SLIC_PREFIX}/slic.cc
-
-if ! test -e ${SLIC_TEST_FILE}; then
-  { { echo "$as_me:$LINENO: error: Not a valid SLIC installation at $SLIC_PREFIX" >&5
-echo "$as_me: error: Not a valid SLIC installation at $SLIC_PREFIX" >&2;}
+SLIC_PREFIX=$(pwd)
+as_ac_File=`echo "ac_cv_file_${SLIC_PREFIX}/slic.cc" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for ${SLIC_PREFIX}/slic.cc" >&5
+echo $ECHO_N "checking for ${SLIC_PREFIX}/slic.cc... $ECHO_C" >&6
+if eval "test \"\${$as_ac_File+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
+if test -r "${SLIC_PREFIX}/slic.cc"; then
+  eval "$as_ac_File=yes"
 else
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  eval "$as_ac_File=no"
+fi
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
+if test `eval echo '${'$as_ac_File'}'` = yes; then
+  :
+else
+  { { echo "$as_me:$LINENO: error: Please run configure from the SLIC checkout dir." >&5
+echo "$as_me: error: Please run configure from the SLIC checkout dir." >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
 
 
-# set as default install dir
 
 
-# enable debugging
 echo "$as_me:$LINENO: checking whether SLIC code debugging should be enabled" >&5
 echo $ECHO_N "checking whether SLIC code debugging should be enabled... $ECHO_C" >&6
 
-# Check whether --enable-slic-debug or --disable-slic-debug was given.
-if test "${enable_slic_debug+set}" = set; then
-  enableval="$enable_slic_debug"
-  SLIC_DEBUG_ENABLE="$enable_slic_debug"
+# Check whether --enable-debug or --disable-debug was given.
+if test "${enable_debug+set}" = set; then
+  enableval="$enable_debug"
+
 fi;
 
-# default to non-debug mode
-if test -n "${SLIC_DEBUG_ENABLE}" && test "${SLIC_DEBUG_ENABLE}" != "no"; then
+if test -n "${enable_debug}" && test "${enable_debug}" = "yes"; then
     echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
-    # GNUmakefile vars
-    G4DEBUG_SET="G4DEBUG_SET=1"
-
-
-    G4PROFILE_SET="G4PROFILE_SET=1"
-
-
-    # compiler defines
-    cat >>confdefs.h <<\_ACEOF
+        cat >>confdefs.h <<\_ACEOF
 #define SLIC_DEBUG 1
 _ACEOF
 
@@ -3008,30 +2988,24 @@
 _ACEOF
 
 
-    # make sure to compile with debugging switches
-    CXXFLAGS="${CXXFLAGS} -g -ggdb -pg"
+        CXXFLAGS="${CXXFLAGS} -g -ggdb -pg"
 else
   echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-# enable SLIC verbose system
 echo "$as_me:$LINENO: checking whether SLIC verbose system should be enabled" >&5
 echo $ECHO_N "checking whether SLIC verbose system should be enabled... $ECHO_C" >&6
 
-# Check whether --enable-slic-verbose or --disable-slic-verbose was given.
-if test "${enable_slic_verbose+set}" = set; then
-  enableval="$enable_slic_verbose"
-  SLIC_VERBOSE_ENABLE="${enable_slic_verbose}"
+# Check whether --enable-verbose or --disable-verbose was given.
+if test "${enable_verbose+set}" = set; then
+  enableval="$enable_verbose"
+
 fi;
 
-# yes or null (not specified) then set verbose system to on
-if test "${SLIC_VERBOSE_ENABLE}" = "yes" || test -z "${SLIC_VERBOSE_ENABLE}"; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+if test "${enable_verbose}" = "yes" || test -z "${enable_verbose}"; then
 
-  # compiler defines
-  cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define G4VERBOSE 1
 _ACEOF
 
@@ -3040,21 +3014,18 @@
 _ACEOF
 
 
-  # GNUmakefile vars
-  G4VERBOSE_SET="G4VERBOSE=1"
-
-
+  echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:$LINENO: result: No" >&5
-echo "${ECHO_T}No" >&6
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
 fi
 
 
 
 # possible option for verbose compiler output
 
-# enable verbose compiler output
-echo "$as_me:$LINENO: checking whether verbose compiler output should be enabled" >&5
+         echo "$as_me:$LINENO: checking whether verbose compiler output should be enabled" >&5
 echo $ECHO_N "checking whether verbose compiler output should be enabled... $ECHO_C" >&6
 
 # Check whether --enable-compile-verbose or --disable-compile-verbose was given.
@@ -3063,14 +3034,12 @@
   SLIC_COMPILE_VERBOSE_ENABLE="${enable_compile_verbose}"
 fi;
 
-# specified and not = no
 if test -n "${SLIC_COMPILE_VERBOSE_ENABLE}" && test "${SLIC_COMPILE_VERBOSE_ENABLE}" != "no"; then
 
     echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
-    # verbose compiler commands into cpp flags
-    CXXFLAGS="${CXXFLAGS} -Wall -v -Wl,--verbose"
+        CXXFLAGS="${CXXFLAGS} -Wall -v -Wl,--verbose"
 
 else
   echo "$as_me:$LINENO: result: no" >&5
@@ -3134,7 +3103,7 @@
 # Check whether --enable-version-file or --disable-version-file was given.
 if test "${enable_version_file+set}" = set; then
   enableval="$enable_version_file"
-  rewrite_ver=$enable_version_file
+  rewrite_ver=$enable_version
 else
   rewrite_ver=no
 fi;
@@ -3845,10 +3814,6 @@
 s,@LCPHYS_PREFIX@,$LCPHYS_PREFIX,;t t
 s,@enable_lcphys@,$enable_lcphys,;t t
 s,@SLIC_PREFIX@,$SLIC_PREFIX,;t t
-s,@G4DEBUG_SET@,$G4DEBUG_SET,;t t
-s,@G4PROFILE_SET@,$G4PROFILE_SET,;t t
-s,@G4VERBOSE_SET@,$G4VERBOSE_SET,;t t
-s,@enable_slic_verbose@,$enable_slic_verbose,;t t
 s,@DOXYGEN@,$DOXYGEN,;t t
 s,@PACKAGE_AUTHORS@,$PACKAGE_AUTHORS,;t t
 s,@PACKAGE_FULLNAME@,$PACKAGE_FULLNAME,;t t

slic/config/make
gdml.gmk 1.11 -> 1.12
diff -u -r1.11 -r1.12
--- gdml.gmk	17 Nov 2005 20:00:12 -0000	1.11
+++ gdml.gmk	6 Dec 2005 00:54:18 -0000	1.12
@@ -1,18 +1,36 @@
-# lib dir
-ifndef GDML_LIB_DIR
-  $(error define GDML_LIB_DIR)
-endif
+# $Header: /cvs/lcd/slic/config/make/gdml.gmk,v 1.12 2005/12/06 00:54:18 jeremy Exp $
+
+#
+# GDML make fragment
+#
+
+ifdef GDML_BASE
 
-# GDML includes
-CPPFLAGS += -I$(GDML_BASE)/G4Binding/G4Processor \
-            -I$(GDML_BASE)/G4Binding/G4Subscribers \
-            -I$(GDML_BASE)/G4Binding/G4Writer \
-            -I$(GDML_BASE)/Common/Writer \
-            -I$(GDML_BASE)/Common/Schema \
-            -I$(GDML_BASE)/Common/Processes \
-            -I$(GDML_BASE)/Common/Saxana
+  # lib dir
+  ifndef GDML_LIB_DIR
+    
+    # guess lib dir if not set
+    ifdef G4SYSTEM
+      GDML_LIB_DIR = $(GDML_BASE)/build/$(G4SYSTEM)/lib
+    else
+      $(error Can't guess GDML_LIB_DIR because G4SYSTEM is not set.)
+    endif
+  endif
 
-GDML_LINK_LIBS += -L$(GDML_LIB_DIR)
-GDML_LINK_LIBS += -lSaxana -lProcesses -lWriter -lG4Processor -lG4Subscribers -lG4Writer -lG4Subscribers -lG4Processor -lSaxana -lProcesses -lWriter
+  # GDML includes
+  CPPFLAGS += -I$(GDML_BASE)/G4Binding/G4Processor \
+              -I$(GDML_BASE)/G4Binding/G4Subscribers \
+              -I$(GDML_BASE)/G4Binding/G4Writer \
+              -I$(GDML_BASE)/Common/Writer \
+              -I$(GDML_BASE)/Common/Schema \
+              -I$(GDML_BASE)/Common/Processes \
+              -I$(GDML_BASE)/Common/Saxana
 
-EXTRALIBS += $(GDML_LINK_LIBS)
+  GDML_LINK_LIBS += -L$(GDML_LIB_DIR)
+  # FIXME: ugly static link order
+  GDML_LINK_LIBS += -lSaxana -lProcesses -lWriter -lG4Processor -lG4Subscribers -lG4Writer -lG4Subscribers -lG4Processor -lSaxana -lProcesses -lWriter
+
+  EXTRALIBS += $(GDML_LINK_LIBS)
+else
+  $(error define GDML_BASE=/path/to/GDML2/CPPGDML)
+endif

slic/config/make
geant4.gmk 1.2 -> 1.3
diff -u -r1.2 -r1.3
--- geant4.gmk	26 Apr 2005 01:21:20 -0000	1.2
+++ geant4.gmk	6 Dec 2005 00:54:18 -0000	1.3
@@ -1,14 +1,22 @@
+# $Header: /cvs/lcd/slic/config/make/geant4.gmk,v 1.3 2005/12/06 00:54:18 jeremy Exp $
+
+#
+# Geant4 make fragment
+#
+
 # Geant4 Framework
-ifndef G4INSTALL
-  $(error define G4INSTALL=/path/to/geant4)
-endif
+ifdef G4INSTALL
 
-ifdef G4UI_USE_TERMINAL
-  CPPFLAGS += -DG4UI_USE_TERMINAL
-endif
+  ifdef G4UI_USE_TERMINAL
+    CPPFLAGS += -DG4UI_USE_TERMINAL
+  endif
+
+  include $(G4INSTALL)/config/binmake.gmk
 
-include $(G4INSTALL)/config/binmake.gmk
+  # extra libs for static linking
+  LOADLIBS  += -lCLHEP
+  EXTRALIBS += -lCLHEP
 
-# extra libs for static linking
-LOADLIBS  += -lCLHEP
-EXTRALIBS += -lCLHEP
\ No newline at end of file
+else
+  $(error define G4INSTALL=/path/to/geant4)
+endif

slic/config/make
hadronic_lists.gmk 1.7 -> 1.8
diff -u -r1.7 -r1.8
--- hadronic_lists.gmk	5 May 2005 18:35:14 -0000	1.7
+++ hadronic_lists.gmk	6 Dec 2005 00:54:18 -0000	1.8
@@ -1,4 +1,4 @@
-# $Header: /cvs/lcd/slic/config/make/hadronic_lists.gmk,v 1.7 2005/05/05 18:35:14 jeremy Exp $
+# $Header: /cvs/lcd/slic/config/make/hadronic_lists.gmk,v 1.8 2005/12/06 00:54:18 jeremy Exp $
 
 #
 # Based on $G4INSTALL/physics_lists/hadronic/GNUmakefile.user.code.example
@@ -6,6 +6,10 @@
 # Reduced physics list selection from recommendations by D. Wright. 
 #
 
+ifndef G4INSTALL
+  $(error define G4INSTALL)
+endif
+
 ifndef G4LISTS_BASE
   EXTRALIBS += -L$(G4LIB)/plists/$(G4SYSTEM)
   G4LISTS_BASE = $(G4INSTALL)/physics_lists

slic/config/make
lcdd.gmk 1.3 -> 1.4
diff -u -r1.3 -r1.4
--- lcdd.gmk	28 Feb 2005 22:20:21 -0000	1.3
+++ lcdd.gmk	6 Dec 2005 00:54:18 -0000	1.4
@@ -1,9 +1,19 @@
-# includes
-CPPFLAGS += -I$(LCDD_BASE)/include
+# $Header: /cvs/lcd/slic/config/make/lcdd.gmk,v 1.4 2005/12/06 00:54:18 jeremy Exp $
 
-# libs
-EXTRALIBS += -L$(LCDD_BASE)/lib
-EXTRALIBS += -llcdd 
+#
+# LCDD make fragment
+#
+ifdef LCDD_BASE
 
-LDFLAGS += -L$(LCDD_BASE)/lib 
-LOADLIBS += -llcdd
+  # includes
+  CPPFLAGS += -I$(LCDD_BASE)/include
+
+  # libs
+  EXTRALIBS += -L$(LCDD_BASE)/lib
+  EXTRALIBS += -llcdd 
+
+  LDFLAGS += -L$(LCDD_BASE)/lib 
+  LOADLIBS += -llcdd
+else
+  $(error define LCDD_BASE=/path/to/lcdd)
+endif

slic/config/make
lcio.gmk 1.1 -> 1.2
diff -u -r1.1 -r1.2
--- lcio.gmk	10 Dec 2004 17:07:16 -0000	1.1
+++ lcio.gmk	6 Dec 2005 00:54:18 -0000	1.2
@@ -1,9 +1,20 @@
-# includes
-CPPFLAGS += -I$(LCIO)/src/cpp/include
-CPPFLAGS += -I$(LCIO)/sio/include
+# $Header: /cvs/lcd/slic/config/make/lcio.gmk,v 1.2 2005/12/06 00:54:18 jeremy Exp $
 
-# libs
-LCIO_LIBS = -llcio -lsio
-LDFLAGS += -L$(LCIO)/lib -L$(LCIO)/sio/lib
-LOADLIBS += $(LCIO_LIBS)
-LOADLIBS += -lz
\ No newline at end of file
+#
+# LCIO make fragment
+#
+
+ifdef LCIO
+
+  # includes
+  CPPFLAGS += -I$(LCIO)/src/cpp/include
+  CPPFLAGS += -I$(LCIO)/sio/include
+
+  # libs
+  LCIO_LIBS = -llcio -lsio
+  LDFLAGS += -L$(LCIO)/lib -L$(LCIO)/sio/lib
+  LOADLIBS += $(LCIO_LIBS)
+  LOADLIBS += -lz
+else
+  $(error define LCIO=/path/to/lcio)
+endif

slic/config/make
lcphys.gmk 1.1 -> 1.2
diff -u -r1.1 -r1.2
--- lcphys.gmk	1 Mar 2005 19:51:34 -0000	1.1
+++ lcphys.gmk	6 Dec 2005 00:54:18 -0000	1.2
@@ -1,6 +1,19 @@
-# includes
-CPPFLAGS += -I$(LCPHYS_BASE)/include
+# $Header: /cvs/lcd/slic/config/make/lcphys.gmk,v 1.2 2005/12/06 00:54:18 jeremy Exp $
 
-# libs
-EXTRALIBS += -lLCPhys
-LOADLIBS += -lLCPhys
+#
+# LCPhys make fragment
+#
+
+ifeq ($(enable_lcphys), yes)
+  ifdef LCPHYS_BASE
+
+    # includes
+    CPPFLAGS += -I$(LCPHYS_BASE)/include
+
+    # libs
+    EXTRALIBS += -lLCPhys
+    LOADLIBS += -lLCPhys
+  else
+    $(error define LCPHYS_BASE=/path/to/LCPhys)
+  endif
+endif

slic/config/make
xerces.gmk 1.8 -> 1.9
diff -u -r1.8 -r1.9
--- xerces.gmk	6 Oct 2005 08:49:00 -0000	1.8
+++ xerces.gmk	6 Dec 2005 00:54:18 -0000	1.9
@@ -1,18 +1,23 @@
-# Xerces-C
-ifndef XERCESCROOT
-  $(error define XERCESCROOT)
-endif
+# $Header: /cvs/lcd/slic/config/make/xerces.gmk,v 1.9 2005/12/06 00:54:18 jeremy Exp $
+
+#
+# Xerces-C make fragment
+#
+ifdef XERCESCROOT
 
-# Xerces includes
-CPPFLAGS += -I$(XERCESCROOT)/include
+  # Xerces includes
+  CPPFLAGS += -I$(XERCESCROOT)/include
 
-# library
-LDFLAGS += -L$(XERCESCROOT)/lib -L$(XERCESCROOT)/bin \
-           -l$(XERCES_LIBNAME)
+  # library
+  LDFLAGS += -L$(XERCESCROOT)/lib -L$(XERCESCROOT)/bin \
+             -l$(XERCES_LIBNAME)
 
-# load path
-LD_LIBRARY_PATH := $(XERCESCROOT)/lib
-PATH := $(XERCESCROOT)/bin:$(XERCESCROOT)/lib:$(PATH)
+  # load path
+  LD_LIBRARY_PATH := $(XERCESCROOT)/lib
+  PATH := $(XERCESCROOT)/bin:$(XERCESCROOT)/lib:$(PATH)
 
-LOADLIBS += -l$(XERCES_LIBNAME)
-EXTRALIBS +=-l$(XERCES_LIBNAME)
+  LOADLIBS += -l$(XERCES_LIBNAME)
+  EXTRALIBS +=-l$(XERCES_LIBNAME)
+else
+  $(error define XERCESCROOT=/path/to/xerces/install_dir)
+endif
CVSspam 0.2.8